# Filename:     tb_fa_onebit.do
# Filetype:     Modelsim Script File
# Date:         30 sep 2012
# Update:       -
# Description:  Script File For Automatic Simulation
# Author:       J. op den Brouw
# State:        Lab
# Error:        -
# Version:      1.0
# Copyright:    (c)2012, De Haagse Hogeschool

# Transcript on, we see output
transcript on

# Recreate working directory
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

# Loop through all the VHDL files and compile them
foreach vhd_file [ glob *.vhd ] {
	#puts $vhd_file
	vcom -93 -work work $vhd_file
}

# Start the simulator
vsim -t 1ns -L rtl_work -L work -voptargs="+acc" fa_onebit

# Log all signals in the design, good if the number
# of signals is small.
add log -r *

# Add all toplevel signals
# Add a number of signals of the simulated design
add list -nodelta -label cin cin 
add list -nodelta -label a a 
add list -nodelta -label b b 
add list -nodelta -width 5 -label cout cout
add list -nodelta -label s s

# Open List window
noview Wave
noview Signals
noview Structure
view list

# Apply stimuli
force b 0 0, 1 20 -repeat 40 -cancel 320
force a 0 0, 1 40 -repeat 80 -cancel 320
force cin 0 0, 1 80 -repeat 160 -cancel 320

# Run simulation for 160 ns
run 140 ns
